Skip to content
Docs

Set a hire's skills

PUT
/api/workspaces/{ws}/hires/{id}/skills

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

id*string

The id of what the path names: a hire, a connection, a skill, a shared file, a department, a position, a goal or an approval.

Request Body

application/json
  1. body
skillIds*array<string>
Itemsitems <= 500

Response Body

The hire's skills after the change.

Example Request
curl -X PUT 'https://app.useroster.work/api/workspaces/string/hires/string/skills' \  -H 'Content-Type: application/json' \  -d '{  "skillIds": [    "string"  ]}'
Example Response
Empty